%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          jboss-ejb-client
Version:       1.0.2
Release:       %mkrel 2
Summary:       JBoss EJB client
Group:         Development/Java
License:       LGPLv2+
URL:           http://www.jboss.org/
# git clone git://github.com/jbossas/jboss-ejb-client.git
# cd jboss-ejb-client/ && git archive --format=tar --prefix=jboss-ejb-client-1.0.2.Final/ 1.0.2.Final | xz > jboss-ejb-client-1.0.2.Final.tar.xz
Source0:       jboss-ejb-client-%{namedversion}.tar.xz
Patch0:        jboss-ejb-client-1.0.2.Final-pom.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: junit4

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-injection-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

BuildRequires: jboss-ejb-3.1-api
BuildRequires: jboss-logging
BuildRequires: jboss-logging-tools
BuildRequires: jboss-logmanager
BuildRequires: jboss-marshalling
BuildRequires: jboss-remoting
BuildRequires: jboss-sasl
BuildRequires: jboss-transaction-1.1-api
BuildRequires: jboss-specs-parent

BuildRequires: xnio

Requires:      jboss-ejb-3.1-api
Requires:      jboss-logging
Requires:      jboss-logging-tools
Requires:      jboss-logmanager
Requires:      jboss-marshalling
Requires:      jboss-remoting
Requires:      jboss-sasl
Requires:      jboss-transaction-1.1-api
Requires:      xnio

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Client library for EJB applications working against JBoss AS.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss

install -pm 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/jboss/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 354949
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 gil <gil> 1.0.2-1.mga3
+ Revision: 263080
- imported package jboss-ejb-client

